#include <fltk/run.h>
#include <fltk/Window.h>
#include <fltk/Menu.h>
#include <fltk/events.h>
#include <stdio.h>

using namespace fltk;


class test: public Window
{
	void draw();
	int handle(int hid);

public:
	class Menu	*map_pop;

	test():Window(400,300,"Test window")
	{
		map_pop = new Menu(0,0,w(),h());

		map_pop->add("Test1",0,0,(void*)1,0);
		map_pop->add("This long line is OK",0,0,(void*)3,MENU_RADIO);
		map_pop->add("Short line are OK",0,0,(void*)4,MENU_RADIO);
		map_pop->add("test4",0,0,(void*)5,MENU_RADIO|MENU_DIVIDER);

		//map_pop->add("Speed vector time",0,0,0,0);

		map_pop->add("Sub menu radio/But this long line will be truncated",0,0,(void*)10,MENU_RADIO);
		map_pop->add("Sub menu radio/OK 1",0,0,(void*)11,MENU_RADIO);
		map_pop->add("Sub menu radio/OK    2",0,0,(void*)12,MENU_RADIO);
		
		map_pop->add("Sub menu toggle/But this long line will be truncated",0,0,(void*)10,MENU_TOGGLE);
		map_pop->add("Sub menu toggle/OK 1",0,0,(void*)11,MENU_TOGGLE);
		map_pop->add("Sub menu toggle/OK    2",0,0,(void*)12,MENU_TOGGLE);


	}
};

int test::handle(int hid)
{
	// Handle all button down
	if(hid==fltk::PUSH)
	{
		if(event_button()==RightButton) 
		{
			map_pop->popup(Rectangle(fltk::event_x(), fltk::event_y(),0,0));
			return 1;
		}
		return 1;
	}
	return 0;
}
void test::draw()
{
	Window::draw();

}

int main(int argc, char ** argv) 
{
	class test *window = new class test();	

	window->show(argc,argv);

	return fltk::run();

}